package me.map.example;

import me.map.example.command.TestCommand;
import me.map.example.listener.Luisteraar;
import me.map.example.placeholder.OwnPlaceHolder;
import me.map.ultimatekingdom.API.UltimateKingdom;

import org.bukkit.Bukkit;
import org.bukkit.event.HandlerList;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.plugin.Plugin;
import org.bukkit.plugin.java.JavaPlugin;

public class Example extends JavaPlugin  {

    private Plugin main;

    @Override
    public void onDisable() {
        HandlerList.unregisterAll(this.main);
    }

    @Override
    public void onEnable() {
        this.main = this;

        Bukkit.getServer().getPluginManager().registerEvents(new Luisteraar() ,this);

        //toevoegen nieuwe commando
        UltimateKingdom.getKingdomServer().Commands().register(new TestCommand(this));

        //vertaling toevoegen
        UltimateKingdom.getKingdomServer().Message().addTranslations("test_command" ,"^&fDit is een test Commando");

        //register placeholder zodat deze door de hele plugin gebruikt kan worden./
        UltimateKingdom.getKingdomServer().PlaceHolders().PlayerPlaceHolders().register(new OwnPlaceHolder());

    }



}


